package uebung04;

import java.util.ArrayList;

public class SeededGame extends Game{

    private String player1;
    private String player2;
    private int id;

    public SeededGame(String player1, String player2){
        this.player1 = player1;
        this.player2 = player2;
        // super();
        id = counter;
        counter++;
    }
    
    @Override
    public String getPlayer1(){
        return player1;
    }

    @Override
    public String getPlayer2(){
        return player2;
    }

    @Override
    public ArrayList<String> getAllPlayers(){
        ArrayList<String> e =  new ArrayList<String>();
        e.add(player1);
        e.add(player2);
        return e;
    }
}
